Page MenuHomeFreeBSD

Retire MAP_RENAME and MAP_NORESERVE.
ClosedPublic

Authored by jhb on Sep 26 2014, 8:03 PM.

Details

Summary

Retire the unimplemented MAP_RENAME and MAP_NORESERVE flags to mmap(2).
Older binaries are still permitted to use these flags.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

jhb updated this revision to Diff 1794.Sep 26 2014, 8:03 PM
jhb retitled this revision from to Retire MAP_RENAME and MAP_NORESERVE..
jhb updated this object.
jhb edited the test plan for this revision. (Show Details)
jhb added a reviewer: kib.
jhb added a comment.Sep 26 2014, 8:04 PM

This needs to pass an exp-run in ports before it can go into HEAD.

kib accepted this revision.Sep 27 2014, 7:58 AM
kib edited edge metadata.
This revision is now accepted and ready to land.Sep 27 2014, 7:58 AM
jhb updated this revision to Diff 1839.Sep 29 2014, 4:49 PM
jhb edited edge metadata.

Update truss.

kib added a comment.Sep 29 2014, 7:19 PM

I thought that we might want to make the old flags slightly more visible in the output of the tracing tools, to facilitate diagnostic. But I do not have good proposal on how to do this.

jhb updated this revision to Diff 2033.Oct 18 2014, 12:26 PM

Update tree after ports fixes committed.

jhb closed this revision.Oct 18 2014, 12:30 PM
jhb updated this revision to Diff 2034.

Closed by commit rS273250 (authored by @jhb).